Bug 591211 - [abrt] crash in awn-extras-applets-0.4.0-5.fc13: awnlib.py:995:__getAttrs:BadArgumentsError
[abrt] crash in awn-extras-applets-0.4.0-5.fc13: awnlib.py:995:__getAttrs:Bad...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:f8f5e5ed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 12:43 EDT by adriano
Modified: 2010-10-08 16:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: awn-extras-applets-0.4.0-22.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 21:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (738 bytes, text/plain)
2010-05-11 12:43 EDT, adriano
no flags Details

  None (edit)
Description adriano 2010-05-11 12:43:27 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/share/avant-window-navigator/applets/mail/mail.py --uid=1273248469 --window=14709650 --panel-id=1
comment: Configure imap login data and presa "log in"
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/mail/mail.py
kernel: 2.6.33.3-85.fc13.x86_64
package: awn-extras-applets-0.4.0-5.fc13
reason: awnlib.py:995:__getAttrs:BadArgumentsError
release: Fedora release 13 (Goddard)

backtrace
-----
awnlib.py:995:__getAttrs:BadArgumentsError

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/mail/mail.py", line 491, in onsubmit
    t["callback"](t["widgets"], self.__parent.awn))
  File "/usr/share/avant-window-navigator/applets/mail/mail.py", line 122, in perform_login
    self.mail = self.back(key)  # Login
  File "/usr/share/avant-window-navigator/applets/mail/mail.py", line 808, in __init__
    args = key.attrs["url"].split(":")
  File "/usr/lib64/python2.6/site-packages/awn/extras/awnlib.py", line 995, in __getAttrs
    return gnomekeyring.item_get_attributes_sync(None, self.token)
BadArgumentsError

Local variables in innermost frame:
self: <awn.extras.awnlib.Key object at 0x1171d10>
Comment 1 adriano 2010-05-11 12:43:30 EDT
Created attachment 413189 [details]
File: backtrace
Comment 2 leigh scott 2010-05-11 13:23:05 EDT
Bug already reported upstream

https://bugs.launchpad.net/awn-extras/+bug/532985
Comment 3 Fedora Admin XMLRPC Client 2010-06-25 01:54:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 David Chin 2010-08-12 10:35:46 EDT
Package: awn-extras-applets-0.4.0-18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click on applet icon in AWN dock
2. Select Type: Unix Spool
3. Spool path was correct, so left unchanged
4. Click "Log In"
5. Crash
Comment 5 Théophane 2010-09-14 15:18:20 EDT
Package: awn-extras-applets-0.4.0-18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.load the mail applet
2.disconnect the wireless
3.try to connect to gmail with the mail applet


Comment
-----
the applet bugs if the internet connections breaks. Then it's impossible to connect to the mailbox again.
Comment 6 Fedora Update System 2010-09-14 16:41:36 EDT
awn-extras-applets-0.4.0-23.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-23.fc14
Comment 7 Fedora Update System 2010-09-14 16:42:37 EDT
awn-extras-applets-0.4.0-21.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-21.fc13
Comment 8 Fedora Update System 2010-09-14 16:43:08 EDT
awn-extras-applets-0.4.0-21.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-21.fc12
Comment 9 Fedora Update System 2010-09-15 01:42:42 EDT
awn-extras-applets-0.4.0-21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update awn-extras-applets'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-21.fc13
Comment 10 Fedora Update System 2010-09-17 12:34:43 EDT
awn-extras-applets-0.4.0-22.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-22.fc13
Comment 11 Fedora Update System 2010-09-17 12:42:28 EDT
awn-extras-applets-0.4.0-24.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-24.fc14
Comment 12 Fedora Update System 2010-09-17 12:43:08 EDT
awn-extras-applets-0.4.0-22.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-22.fc12
Comment 13 Fedora Update System 2010-10-05 21:26:45 EDT
awn-extras-applets-0.4.0-24.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-10-08 16:31:04 EDT
awn-extras-applets-0.4.0-22.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-10-08 16:45:15 EDT
awn-extras-applets-0.4.0-22.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.